%include	/usr/lib/rpm/macros.mono
Summary:	Debugger for mono
Summary(pl.UTF-8):	Odpluskiwacz dla mono
Name:		mono-debugger
Version:	2.10
Release:	3
# mono-debugger itself on MIT, but BFD libs enforce GPL
License:	GPL v2+
Group:		Development/Tools
# latest downloads summary at http://ftp.novell.com/pub/mono/sources-stable/
Source0:	http://ftp.novell.com/pub/mono/sources/mono-debugger/%{name}-%{version}.tar.bz2
# Source0-md5:	02ee485f2aae279f2fa3a7051c7d580e
Patch0:		%{name}-termcap.patch
URL:		http://www.mono-project.com/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib2-devel >= 1:2.0.0
BuildRequires:	libtool
BuildRequires:	mono-csharp >= 4.0
BuildRequires:	monodoc
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
Requires:	mono >= 4.0
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Debugger for mono.

%description -l pl.UTF-8
Odpluskwiacz dla mono.

%package devel
Summary:	Development files for mono debugger
Summary(pl.UTF-8):	Pliki potrzebne programistom korzystającym z bibliotek odpluskiwacza mono
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	mono-debugger-static

%description devel
Development files for mono debugger.

%description devel -l pl.UTF-8
Pliki potrzebne programistom korzystającym z bibliotek odpluskwiacza
mono.

%package doc
Summary:	Documentation for mono debugger
Summary(pl.UTF-8):	Dokumentacja odpluskiwacza dla mono
Group:		Documentation
Requires:	monodoc

%description doc
Documentation for mono debugger.

%description doc -l pl.UTF-8
Dokumentacja odpluskwiacza dla mono.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	MCS=/usr/bin/mcs \
	--disable-static
%{__make} -j1 \
	twodir=%{_prefix}/lib/mono/4.5

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	twodir=%{_prefix}/lib/mono/4.5

# these are used just as DllImport in C# code, so no devel part
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libmonodebugger*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README doc/*.txt
%attr(755,root,root) %{_bindir}/mdb
%attr(755,root,root) %{_bindir}/mdb-symbolreader
%attr(755,root,root) %{_libdir}/libmonodebuggerserver.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmonodebuggerserver.so.0
%attr(755,root,root) %{_libdir}/libmonodebuggerserver.so
%{_prefix}/lib/mono/4.5/mdb-symbolreader.exe
%{_prefix}/lib/mono/4.5/mdb.exe
%{_prefix}/lib/mono/gac/Mono.Debugger
%{_prefix}/lib/mono/gac/Mono.Debugger.SymbolWriter
%{_prefix}/lib/mono/gac/Mono.Debugger.Frontend

%files devel
%defattr(644,root,root,755)
%dir %{_prefix}/lib/mono/%{name}
%{_prefix}/lib/mono/%{name}/Mono.Debugger.dll
%{_prefix}/lib/mono/%{name}/Mono.Debugger.SymbolWriter.dll
%{_prefix}/lib/mono/%{name}/Mono.Debugger.Frontend.dll
%{_pkgconfigdir}/mono-debugger.pc
%{_pkgconfigdir}/mono-debugger-frontend.pc
%changelog
* Wed Nov 29 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mono-debugger.git;a=log;h=master

* Wed Nov 29 2017 Jakub Bogusz <qboosh@pld-linux.org> 9d96f0e
- adjusted for mono 4.x, release 3

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 2dbc99e
- release 2 (by relup.sh)

* Thu Feb 17 2011 lisu <lisu@pld-linux.org> 5d9c48d
- up to 2.10
- update deps

* Tue Dec 14 2010 lisu <lisu@pld-linux.org> f4f0e1d
- up to 2.8.1

* Mon Oct 18 2010 vip <vip@pld-linux.org> 7ebef20
- up to 2.8

* Sun Sep 26 2010 Jakub Bogusz <qboosh@pld-linux.org> 1a22851
- cleanup

* Wed Mar 24 2010 Marcin Banasiak <marcin.banasiak@gmail.com> bb0e356
- updated to 2.6.3

* Fri Mar 12 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 4347a35
- fixed %files on x86_64
- release 2

* Fri Mar 12 2010 Marcin Banasiak <marcin.banasiak@gmail.com> a31364a
- updated for 2.6

* Fri Mar 12 2010 Marcin Banasiak <marcin.banasiak@gmail.com> ed423c9
- updated to 2.6

* Thu Aug 27 2009 vip <vip@pld-linux.org> ca8df88
- up to 2.4.2.1

* Mon Apr 13 2009 vip <vip@pld-linux.org> 240ef32
- up to 2.4

* Thu Mar 26 2009 vip <vip@pld-linux.org> 4c58a47
- up to 2.2

* Mon Oct 06 2008 wolf <wolf@pld-linux.org> 41ec9ef
- 2.0

* Thu Jun 19 2008 Jakub Bogusz <qboosh@pld-linux.org> 6182700
- updated URLs

* Mon Jun 02 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 7e1a764
- added ExclusiveArch %{ix86} %{x8664}; it won't build on any other
  architecture according to backend/arch/bfdglue.c

* Sun Mar 23 2008 Jakub Bogusz <qboosh@pld-linux.org> 2d73365
- dropped -static (libs used only as DllImport)
- updated mono BR
- ghost soname symlinks

* Fri Mar 14 2008 wolf <wolf@pld-linux.org> 0fbeb8f
- 0.60

* Wed May 16 2007 Jakub Bogusz <qboosh@pld-linux.org> 4563b94
- updated to 0.50
- dropped outdated build-doc patch

* Wed May 16 2007 Jakub Bogusz <qboosh@pld-linux.org> f9a8b7c
- outdated

